get_font_range_end(3)

NAME
get_font_range_end - Returns the last character of a character range in a font. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

int get_font_range_end(FONT *f, int range)

DESCRIPTION
This function allows you to find out the index to the last character of a character range for a font. You can pass -1 for the range parameter if you want to know the start of the whole font range, or a number from 0 to (but not including) get_font_ranges(f) to get the start of a specific character range in the font. You should check the start and end of all font ranges to see if a specific character is actually available in the font. Not all characters in the range returned by get_font_range_begin(f, -1) and get_font_range_end(f, -1) need to be available! Example:
   printf("The font has a character range of %d - %d\n",
          get_font_range_begin(font, -1),
          get_font_range_end(font, -1));

RETURN VALUE
Returns the last character in the font range, or -1 if that information is not available.

SEE ALSO
get_font_ranges(3), get_font_range_begin(3), transpose_font(3)